mscorlib 2.0.0.0 4.0.0.0 System.Text.DecoderFallback

An encoding maps a Unicode character to an encoded sequence of bytes, which can subsequently be transferred to a physical medium, such as a disk, or over a communications link. Characters can be mapped in various ways, and a particular encoding is represented by a type derived from the class. Specifically, the encoding type's GetBytes method encodes a character to a byte sequence, and the GetChars method decodes a byte sequence to a character.

A decoding operation can fail if the input byte sequence cannot be mapped by the encoding. For example, an object cannot decode a byte sequence that yields a character having a code point value that is outside the range U+0000 to U+007F.

In cases where an encoding or decoding conversion cannot be performed, the .NET Framework provides a failure-handling mechanism called a fallback. Your application can use the predefined .NET Framework decoder fallback, or it can create a custom decoder fallback derived from the and classes.

The .NET Framework provides two predefined classes that implement different fallback strategies for handling decoding conversion failures. The class substitutes a string provided in place of any input byte sequence that cannot be converted. After the substitute string is emitted, the decoding operation continues converting the remainder of the input. In contrast, the class throws a when an invalid byte sequence is encountered.

Throws if an encoded input byte sequence cannot be converted to a decoded output character. This class cannot be inherited.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Method
  2.0.0.0
  4.0.0.0
  System.Text.DecoderFallbackBuffer To be added.

  Initializes a new instance of the class.

  A object.

- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added.

  Indicates whether the current object and a specified object are equal.

  true if is not null and is a object; otherwise, false.

  An object that derives from the class.
- Method
  2.0.0.0
  4.0.0.0
  System.Int32

  Because the method always returns the same value, the application should not use this value to distinguish one object from another.

  Retrieves the hash code for this instance.

  The return value is always the same arbitrary value, and has no special significance.

- Property
  2.0.0.0
  4.0.0.0
  System.Int32 To be added. To be added.

  Gets the maximum number of characters this instance can return.